## Get Passive DNS by IP `client.intel.dns.list(DNSListParamsparams, RequestOptionsoptions?): V4PagePagination` **get** `/accounts/{account_id}/intel/dns` Gets a list of all the domains that have resolved to a specific IP address. ### Parameters - `params: DNSListParams` - `account_id: string` Path param: Identifier. - `ipv4?: string` Query param - `page?: number` Query param: Requested page within paginated list of results. - `per_page?: number` Query param: Maximum number of results requested. - `start_end_params?: StartEndParams` Query param - `end?: string` Defaults to the current date. - `start?: string` Defaults to 30 days before the end parameter value. ### Returns - `DNS` - `count?: number` Total results returned based on your search parameters. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `reverse_records?: Array` Reverse DNS look-ups observed during the time period. - `first_seen?: string` First seen date of the DNS record during the time period. - `hostname?: string` Hostname that the IP was observed resolving to. - `last_seen?: string` Last seen date of the DNS record during the time period. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const dns of client.intel.dns.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353' })) { console.log(dns.count); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "count": 1, "page": 1, "per_page": 20, "reverse_records": [ { "first_seen": "2021-04-01", "hostname": "hostname", "last_seen": "2021-04-30" } ] }, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ```